import { ComponentFactoryResolver, ElementRef, Injector, NgZone, OnDestroy, OnInit, Renderer2, ViewContainerRef } from '@angular/core';
import { NgbPopoverConfig, NgbPopover } from '@ng-bootstrap/ng-bootstrap';
import { TourAnchorDirective } from 'ngx-tour-core';
import { NgbTourService } from './ng-bootstrap-tour.service';
import { INgbStepOption } from './step-option.interface';
import { TourStepTemplateService } from './tour-step-template.service';
export declare class TourAnchorNgBootstrapDirective extends NgbPopover implements OnInit, OnDestroy, TourAnchorDirective {
    private tourService;
    private tourStepTemplate;
    tourAnchor: string;
    private element;
    constructor(tourService: NgbTourService, tourStepTemplate: TourStepTemplateService, _elementRef: ElementRef, _renderer: Renderer2, injector: Injector, componentFactoryResolver: ComponentFactoryResolver, viewContainerRef: ViewContainerRef, config: NgbPopoverConfig, ngZone: NgZone);
    ngOnInit(): void;
    ngOnDestroy(): void;
    showTourStep(step: INgbStepOption): void;
    hideTourStep(): void;
}
